[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiSameStr

Checks whether 2 strings are the same (case sensitive)

## Declaration

Source position: sysstrh.inc line 95

`function AnsiSameStr(`
`const s1: string;`
`const s2: string`
`):Boolean;`

## Description

SameText calls AnsiCompareStr with S1 and S2 as parameters and returns True if the result of that call is zero, or False otherwise.

Remark: | A widestring manager must be installed in order for this function to work correctly with various character sets.

## Errors

None.

## See also

AnsiCompareStr |  | Compare 2 ansistrings, case sensitive, ignoring accents characters.
SameText |  | Checks whether 2 strings are the same (case insensitive)
AnsiSameText |  | Checks whether 2 strings are the same (case insensitive)